@import  'abstracts/_mixins'
@import  'abstracts/_variables'
@import 'abstracts/_breakpoints'

.credit-card-component
  font-family: 'Courier'
  color: var(--white)
  .card-layout
    +flex(flex-start, space-between, column)
    padding: var(--padding)
    width: 400px
    height: 220px
    cursor: pointer
    border-radius: var(--border-radius-l)
    transition: all 0.1s ease-in
    background: #cb2d3e
    background: -webkit-linear-gradient(to right, #ef473a, #cb2d3e)
    background: linear-gradient(to right, #ef473a, #cb2d3e)
    &:hover
      transform: scale(1.02)
  .chip
    width: 70px
    height: 50px
    background: goldenrod
    border-radius: var(--border-radius)
  form
    .card-number-container
      margin-bottom: 20px
      .card-number
        font-size: var(--fs-xxl)
    .bottom-card
      +flex(flex-start, space-between)
      width: 100%
      .expiration-container
        +flex(flex-start, flex-start, column)
        .expiration-data
          +flex(flex-start, flex-start)
          > input 
            width: 25px
            font-size: var(--fs)
      .digits-code
        +flex(flex-end, flex-end, column)
        .card-cvv
          width: 26px
          font-size: var(--fs)

input
  background: transparent
  color: var(--white)
  border: none
  outline: none

@media only screen and (max-width: $break-mobile)
  .card-number
    font-size: var(--fs)
  .credit-card-component
    .card-layout
      width: 100%
      box-sizing: border-box
      padding: var(--padding)
      .bottom-card
        +flex(flex-start, space-around)
    form
      .card-number-container
        .card-number
          font-size: var(--fs-xl)